QGIS Application - Bug report #15554
v.net.alloc in processing fails when there are spaces in the layer name
2016-09-11 03:10 PM - Steven Kay

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.16.1 Regression?: No
Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 23477
Description

Just had a problem getting v.net.alloc to work in ggis 2.16.1 from processing.

Traced it to the following line in the log...

v.in.ogr min_area=0.0001 snap=-1 input="/home/steven/infoviz7/watersheds/airports" layer=airports 27700 output=tmp14736310937613
--overwrite -0

My layer is called "airports 27700", which contains a space. It looks like the lack of quotes around the layer parameter is what causes it to
fail. Renaming the layer to "airports_27700" or "airports27700" works.

Related issues:
Duplicates QGIS Application - Bug report # 15502: GRASS calls need quoting fo... Closed 2016-08-30

History

#1 - 2016-09-12 11:27 AM - Anita Graser
- Subject changed from v.net.alloc in processing fails when there are spaces are in the layer name to v.net.alloc in processing fails when there are
spaces in the layer name

#2 - 2016-09-15 01:06 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed
